# Contributing to py-opw-kinematics

We welcome contributions to the py-opw-kinematics project! This document provides guidelines for contributing to the project.

## Submitting Changes

1. Open a pull request against the main repository.
2. Describe your changes in the pull request description.

## Code Style

- Follow the Rust style guide for Rust code.
- Use PEP 8 style guide for Python code.
- Use meaningful variable and function names.
- Comment your code where necessary.

## Reporting Bugs

- Use the GitHub Issues page to report bugs.
- Describe the bug in detail, including steps to reproduce.
- Include the version of py-opw-kinematics you're using.
- Include the platform you are using py-opw-kinematics on. (e.g. Windows x64, macOS ARM)

## Feature Requests
We appreciate your interest in improving py-opw-kinematics! Please note:

- Our primary focus is on features that align with our specific business use case.
- We encourage you to implement new features yourself if they fall outside our current scope.
- If you believe a feature would benefit our business use case:
  1. Open an issue on the GitHub Issues page to discuss the feature.
  2. Clearly describe the feature and its potential benefits, especially how it relates to opw-kinematics and our use case.
  3. Be prepared to (partially) implement the feature yourself if approved.

## Questions

If you have any questions about contributing, please open an issue or reach out to the maintainers.

Thank you for contributing to py-opw-kinematics!
